package com.mx.dla.dda.reporte.cpview.dtos;

import java.io.Serializable;

/**
 * Es la representacion de los parametros para el proceso de la carga de Visualizaciones Suscripcion
 */
public class ParamCargaTitulosVSDTO implements Serializable 
{
	private static final long serialVersionUID = 1L;
	private String nombreArchivo;
	private String expediente;
	private String mesCarga;
	
	public String getNombreArchivo() {
		return nombreArchivo;
	}

	public void setNombreArchivo(String nombreArchivo) {
		this.nombreArchivo = nombreArchivo;
	}

	public String getExpediente() {
		return expediente;
	}

	public void setExpediente(String expediente) {
		this.expediente = expediente;
	}

	public String getMesCarga() {
		return mesCarga;
	}

	public void setMesCarga(String mesCarga) {
		this.mesCarga = mesCarga;
	}

	public String toString() 
	{
		StringBuilder result = new StringBuilder();
		String NEW_LINE = System.getProperty("line.separator");
		result.append(" [Begin of Class] " + NEW_LINE);
		result.append(this.getClass().getSimpleName() + " Object {" + NEW_LINE);
		result.append(" nombreArchivo: _" + this.getNombreArchivo() + "_" + NEW_LINE);
		result.append(" expediente: _" + this.getExpediente() + "_" + NEW_LINE);
		result.append(" mesCarga: _" + this.getMesCarga() + "_" + NEW_LINE);
		result.append(" [End of Class] " + NEW_LINE);
		result.append("}");
		NEW_LINE = null;

		return result.toString();
	}
	
}
